import { connect, Dispatch } from 'react-redux';
import {
  DiscoveryTable,
  StateProps as DiscoveryTableStateProps,
  DispatchProps as DiscoveryTableDispatchProps,
} from './components/DiscoveryTable';

import DiscoveryStartInfo from '../api/model/DiscoveryStartInfo';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';
import * as StartActionTypes from '../redux/action/start';

export function mapStateToProps(state: any, props: any): DiscoveryTableStateProps {
  return {
    // onProbeChange: props.onProbeChange,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DiscoveryTableDispatchProps {
  return {
    onDiscoveryStart : (dsi: DiscoveryStartInfo) => {
      dispatch(asyncRequestActions.request('DiscoveryService', 'startDiscovery',
                                           StartActionTypes.REQUEST, JSON.stringify(dsi)));
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(DiscoveryTable);
