import { connect, Dispatch } from 'react-redux';
import {
  ResetPassword,
  StateProps as ResetPasswordStateProps,
  DispatchProps as ResetPasswordDispatchProps,
  Props as ResetPasswordProps,
} from './components/ResetPassword';

import * as ResetPasswordActions from '../redux/action/reset_password';
import * as asyncRestRequestAction from '@overflow/commons/redux/action/asyncRestRequest';

export function mapStateToProps(state: any, ownProps:any): ResetPasswordStateProps {
  return {
    params: ownProps.param,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): ResetPasswordDispatchProps {
  return {
    // onConfirmPassword: (pass: string) => {
    //   dispatch(asyncRequestActions.request('MemberService', 'signin', ResetPasswordActions.REQUEST, 'overflow@loafle.com', pass));
    // },
    onResetPassword: (pw:string, key:string) => {
      dispatch(asyncRestRequestAction.request('/account/reset_password', 'POST', ResetPasswordActions.REQUEST, {pw:pw, key:key}));
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(ResetPassword);

