import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Page from '@overflow/commons/api/model/Page';

import * as ReadCountActionTypes from '../action/read_unconfirmed_count';
import ReadUnconfirmedState, { defaultState as ReadCountDefaultState } from '../state/ReadUnconfirmedCount';

const reducer: ReducersMapObject = {
  [ReadCountActionTypes.REQUEST_SUCCESS]:
  (state: ReadUnconfirmedState = ReadCountDefaultState, action: Action<number>):
  ReadUnconfirmedState => {
      return {
      ...state,
      count: <number>action.payload,
    };
  },
  [ReadCountActionTypes.REQUEST_FAILURE]:
  (state: ReadUnconfirmedState = ReadCountDefaultState, action: Action<Error>):
  ReadUnconfirmedState => {
    return state;
  },
};

export default reducer;
